
body
{
    margin: 0;
    padding: 0;
    color: black;
    font-family: "Avenir Next", "Avenir", sans-serif;
}

a
{
    text-decoration: none;
    color: #232323;

    transition: color 0.3s ease;
}

a:hover
{
    color: tomato;
}

#menuToggle
{
    display: inline-block;
    position: fixed;
    top: 20px;
    left: 30px;
    background-color: #0069a7;
    color: white;
    z-index: 150;

    -webkit-user-select: none;
    user-select: none;
}

#menuToggle input
{
    display: block;
    width: 40px;
    height: 50px;
    position: absolute;
    top: -7px;
    left: -5px;

    cursor: pointer;

    opacity: 0;
    z-index: 2;

    -webkit-touch-callout: none;
}

#menuToggle span
{
    display: block;
    width: 45px;
    height: 8px;
    margin-bottom: 5px;
    position: relative;

    background: white;
    border-radius: 3px;

    z-index: 1;

    transform-origin: 4px 0px;

    transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
    background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
    opacity 0.55s ease;
}

#menuToggle span:first-child
{
    transform-origin: 0% 0%;
}

#menuToggle span:nth-last-child(2)
{
    transform-origin: 0% 100%;
}


#menuToggle input:checked ~ span
{
    opacity: 1;
    transform: rotate(45deg) translate(-2px, -1px);
    background: #232323;
}

#menuToggle input:checked ~ span:nth-last-child(3)
{
    opacity: 0;
    transform: rotate(0deg) scale(0.2, 0.2);
}


#menuToggle input:checked ~ span:nth-last-child(2)
{
    opacity: 1;
    transform: rotate(-45deg) translate(0, -1px);
}


#menu
{
    position: absolute;
    width: 300px;
    margin: -100px 0 0 -50px;
    padding: 50px;
    padding-top: 125px;
    color: white;
    background: #0069a7;
    list-style-type: none;
    -webkit-font-smoothing: antialiased;

    transform-origin: 0% 0%;
    transform: translate(-100%, 0);

    transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
}

#menu li
{
    padding: 10px 0;
    font-size: 22px;
}

#menu li a {
    color: white;
}



#menuToggle input:checked ~ ul
{
    transform: scale(1.0, 1.0);
    opacity: 1;
}

@media only screen and (min-width: 200px){
    #menuToggle {
        padding: 2%;
    }
    #menu li {
        font-size: 100%;
    }
}
@media only screen and (min-width: 1000px){
    #menuToggle {
        padding: 1%;
    }
}

@media only screen and (min-width: 1280px){
        #menuToggle {
            padding: 0.5%;
        }

        #menu li {
            font-size: 22px;
        }
}